| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
my_cquantizer Struct Reference

## Public Attributes
struct jpeg_color_quantizer | pub
JSAMPARRAY | sv_colormap
int | sv_actual
JSAMPARRAY | colorindex
boolean | is_padded
int | Ncolors [MAX_Q_COMPS]
int | row_index
ODITHER_MATRIX_PTR | odither [MAX_Q_COMPS]
FSERRPTR | fserrors [MAX_Q_COMPS]
boolean | on_odd_row
int | desired
hist3d | histogram
boolean | needs_zeroed
int * | error_limiter

## Detailed Description

Definition at line 142 of file jquant1.c.

## Member Data Documentation

JSAMPARRAY my_cquantizer::colorindex

Definition at line 149 of file jquant1.c.

int my_cquantizer::desired

Definition at line 198 of file jquant2.c.

int* my_cquantizer::error_limiter

Definition at line 208 of file jquant2.c.

FSERRPTR my_cquantizer::fserrors

Definition at line 163 of file jquant1.c.

hist3d my_cquantizer::histogram

Definition at line 201 of file jquant2.c.

boolean my_cquantizer::is_padded

Definition at line 154 of file jquant1.c.

int my_cquantizer::Ncolors[MAX_Q_COMPS]

Definition at line 156 of file jquant1.c.

boolean my_cquantizer::needs_zeroed

Definition at line 203 of file jquant2.c.

ODITHER_MATRIX_PTR my_cquantizer::odither[MAX_Q_COMPS]

Definition at line 160 of file jquant1.c.

boolean my_cquantizer::on_odd_row

Definition at line 164 of file jquant1.c.

struct jpeg_color_quantizer my_cquantizer::pub

Definition at line 143 of file jquant1.c.

int my_cquantizer::row_index

Definition at line 159 of file jquant1.c.

int my_cquantizer::sv_actual

Definition at line 147 of file jquant1.c.

JSAMPARRAY my_cquantizer::sv_colormap

Definition at line 146 of file jquant1.c.

The documentation for this struct was generated from the following files:

- /usr/local/bsoft/jpeg/jquant1.c
- /usr/local/bsoft/jpeg/jquant2.c